﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using SWSG.BffService.Data;

#nullable disable

namespace SWSG.BffService.Data.Migrations
{
    [DbContext(typeof(ServiceDbContext))]
    [Migration("20230915200301_AddBuildings")]
    partial class AddBuildings
    {
        /// <inheritdoc />
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.11")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("SWSG.BffService.Data.Contracts.BuildingEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<long>("Id"));

                    b.Property<string>("Address")
                        .HasColumnType("text")
                        .HasColumnName("address");

                    b.Property<string>("Egid")
                        .HasColumnType("text")
                        .HasColumnName("egid");

                    b.Property<string>("Gasversorgung")
                        .HasColumnType("text")
                        .HasColumnName("gasversorgung");

                    b.Property<int?>("Gbauj")
                        .HasColumnType("integer")
                        .HasColumnName("gbauj");

                    b.Property<string>("Gbaum")
                        .HasColumnType("text")
                        .HasColumnName("gbaum");

                    b.Property<string>("Gebf")
                        .HasColumnType("text")
                        .HasColumnName("gebf");

                    b.Property<int?>("Genh1")
                        .HasColumnType("integer")
                        .HasColumnName("genh1");

                    b.Property<string>("Genh2")
                        .HasColumnType("text")
                        .HasColumnName("genh2");

                    b.Property<int?>("Genw1")
                        .HasColumnType("integer")
                        .HasColumnName("genw1");

                    b.Property<int?>("Genw2")
                        .HasColumnType("integer")
                        .HasColumnName("genw2");

                    b.Property<int?>("Gkat")
                        .HasColumnType("integer")
                        .HasColumnName("gkat");

                    b.Property<int?>("Gklas")
                        .HasColumnType("integer")
                        .HasColumnName("gklas");

                    b.Property<int?>("Gstat")
                        .HasColumnType("integer")
                        .HasColumnName("gstat");

                    b.Property<int?>("Gwaerzh1")
                        .HasColumnType("integer")
                        .HasColumnName("gwaerzh1");

                    b.Property<string>("Gwaerzh2")
                        .HasColumnType("text")
                        .HasColumnName("gwaerzh2");

                    b.Property<int?>("Gwaerzw1")
                        .HasColumnType("integer")
                        .HasColumnName("gwaerzw1");

                    b.Property<int?>("Gwaerzw2")
                        .HasColumnType("integer")
                        .HasColumnName("gwaerzw2");

                    b.Property<string>("HestiaBeschreibung")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("hestia_beschreibung");

                    b.Property<double?>("Latitude")
                        .HasColumnType("double precision")
                        .HasColumnName("latitude");

                    b.Property<double?>("Longitude")
                        .HasColumnType("double precision")
                        .HasColumnName("longitude");

                    b.Property<string>("UmsetzungBis")
                        .HasColumnType("text")
                        .HasColumnName("umsetzung_bis");

                    b.Property<string>("UmsetzungVon")
                        .HasColumnType("text")
                        .HasColumnName("umsetzung_von");

                    b.Property<string>("WaermeVersorgung")
                        .HasColumnType("text")
                        .HasColumnName("waermeversorgung");

                    b.Property<float?>("X")
                        .HasColumnType("real")
                        .HasColumnName("x");

                    b.Property<float?>("Y")
                        .HasColumnType("real")
                        .HasColumnName("y");

                    b.HasKey("Id");

                    b.ToTable("buildings", "ernergy-data");
                });
#pragma warning restore 612, 618
        }
    }
}
